Question

posted by drmody 2 years ago
Internet Download Manager (IDM) is incompatible with firefox 5

Internet Download Manager (IDM) is incompatible with firefox 5 as it is with firefox 4.0.1

,...... please help me with that ??
↓ Show more ↑ Show less
  • All posts
  • Helpful Solutions
  • solution
  • owner
  • helpful
  • post
  • post
  • post
  • post